Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.jcr
Class JcrConnectorI18n

    java.lang.Object
      org.modeshape.connector.jcr.JcrConnectorI18n

    public final class JcrConnectorI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.filesystem*` packages.

Field Summary
`static I18n` | `connectorName`
`static I18n` | `errorConvertingJcrValueOfType`
`static I18n` | `errorSerializingObjectUsedInSource`
`static I18n` | `namePropertyCategory`
`static I18n` | `namePropertyDescription`
`static I18n` | `namePropertyLabel`
`static I18n` | `nodeDoesNotExist`
`static I18n` | `objectFoundInJndiWasNotRepository`
`static I18n` | `passwordPropertyCategory`
`static I18n` | `passwordPropertyDescription`
`static I18n` | `passwordPropertyLabel`
`static I18n` | `propertyIsRequired`
`static I18n` | `repositoryJndiNamePropertyCategory`
`static I18n` | `repositoryJndiNamePropertyDescription`
`static I18n` | `repositoryJndiNamePropertyLabel`
`static I18n` | `repositoryObjectNotFoundInJndi`
`static I18n` | `retryLimitPropertyCategory`
`static I18n` | `retryLimitPropertyDescription`
`static I18n` | `retryLimitPropertyLabel`
`static I18n` | `unableToCreateWorkspaceInRepository`
`static I18n` | `unableToDestroyWorkspaceInRepository`
`static I18n` | `unableToFindNodeWithoutPathOrUuid`
`static I18n` | `unableToFindNodeWithUuid`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `usernamePropertyCategory`
`static I18n` | `usernamePropertyDescription`
`static I18n` | `usernamePropertyLabel`
`static I18n` | `workspaceAlreadyExistsInRepository`

Constructor Summary
`JcrConnectorI18n()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectorName

    public static I18n connectorName

### errorSerializingObjectUsedInSource

    public static I18n errorSerializingObjectUsedInSource

### errorConvertingJcrValueOfType

    public static I18n errorConvertingJcrValueOfType

### objectFoundInJndiWasNotRepository

    public static I18n objectFoundInJndiWasNotRepository

### repositoryObjectNotFoundInJndi

    public static I18n repositoryObjectNotFoundInJndi

### propertyIsRequired

    public static I18n propertyIsRequired

### workspaceAlreadyExistsInRepository

    public static I18n workspaceAlreadyExistsInRepository

### unableToCreateWorkspaceInRepository

    public static I18n unableToCreateWorkspaceInRepository

### unableToDestroyWorkspaceInRepository

    public static I18n unableToDestroyWorkspaceInRepository

### unableToFindNodeWithoutPathOrUuid

    public static I18n unableToFindNodeWithoutPathOrUuid

### unableToFindNodeWithUuid

    public static I18n unableToFindNodeWithUuid

### nodeDoesNotExist

    public static I18n nodeDoesNotExist

### namePropertyDescription

    public static I18n namePropertyDescription

### namePropertyLabel

    public static I18n namePropertyLabel

### namePropertyCategory

    public static I18n namePropertyCategory

### retryLimitPropertyDescription

    public static I18n retryLimitPropertyDescription

### retryLimitPropertyLabel

    public static I18n retryLimitPropertyLabel

### retryLimitPropertyCategory

    public static I18n retryLimitPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

### repositoryJndiNamePropertyDescription

    public static I18n repositoryJndiNamePropertyDescription

### repositoryJndiNamePropertyLabel

    public static I18n repositoryJndiNamePropertyLabel

### repositoryJndiNamePropertyCategory

    public static I18n repositoryJndiNamePropertyCategory

### passwordPropertyDescription

    public static I18n passwordPropertyDescription

### passwordPropertyLabel

    public static I18n passwordPropertyLabel

### passwordPropertyCategory

    public static I18n passwordPropertyCategory

### usernamePropertyDescription

    public static I18n usernamePropertyDescription

### usernamePropertyLabel

    public static I18n usernamePropertyLabel

### usernamePropertyCategory

    public static I18n usernamePropertyCategory

Constructor Detail

### JcrConnectorI18n

    public JcrConnectorI18n()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.